<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'property',

    /*
     * Modules.
     */
    'modules'   => ['category', 
'property'],

    'category'       => [
        'model' => [
            'model'                 => \Realestate\Property\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Realestate\Property\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'slug',  'code',  'name',  'status',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'property/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Property',
            'module'    => 'Category',
        ],

    ],

    'property'       => [
        'model' => [
            'model'                 => \Realestate\Property\Models\Property::class,
            'table'                 => 'properties',
            'presenter'             => \Realestate\Property\Repositories\Presenter\PropertyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'country_id',  'state_id',  'district_id',  'city_id',  'location_id',  'category_id',  'sort_order',  'code',  'title',  'slug',  'description',  'status',  'published',  'publish_status',  'year',  'property_for',  'label',  'price',  'plan_name',  'amount',  'pay_frequency',  'images',  'upload_folder',  'area',  'size_prefix',  'land_area_size_prefix',  'area_type',  'owner_type',  'bedrooms',  'bathrooms',  'garages',  'garage_size',  'water_source',  'furnishing',  'no_balcony',  'address',  'neighbourhood',  'zip_code',  'locality',  'features',  'slider',  'featured',  'hotprop_order',  'premium',  'email_alert',  'photo_count',  'validity',  'visibility',  'video_embed',  'payment_status',  'latitude',  'longitude',  'map_embed',  'posting_type',  'listing_plan',  'plan_visibility',  'contact_mail',  'parking_no',  'website',  'phone',  'mobile',  'contact_name',  'region',  'category_id1',  'prop_age',  'prop_status',  'overview',  'video',  'video_status',  'facilities',  'landmarks',  'sellunit',  'price_negotiable',  'admin_status',  'paid_status',  'direct_contact',  'posted_date',  'expire_date',  'manage_type',  'buildup_area',  'buildup_unit',  'plot_area',  'plot_unit',  'land_area',  'land_unit',  'meta_title',  'meta_keyword',  'meta_description',  'deleted_at',  'created_at',  'updated_at',  'city1'],
            'translatables'         => [],
            'upload_folder'         => 'property/property',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Property',
            'module'    => 'Property',
        ],

    ],
];
