<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: properties
         */
        Schema::create('properties', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('sort_order')->nullable();
            $table->string('code', 255)->nullable();
            $table->string('title', 100)->nullable();
            $table->string('slug', 255)->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Published','Pending','Draft'])->nullable();
            $table->enum('published', ['Yes','No'])->nullable();
            $table->string('publish_status', 10)->nullable();
            $table->integer('year')->nullable();
            $table->enum('property_for', ['Rent','Sale','PG','Lease'])->nullable();
            $table->enum('label', ['Hot Deal','Open House'])->nullable();
            $table->integer('price')->nullable();
            $table->string('plan_name', 255)->nullable();
            $table->string('amount', 255)->nullable();
            $table->enum('pay_frequency', ['Monthly','Yearly'])->nullable();
            $table->text('images')->nullable();
            $table->string('upload_folder', 250)->nullable();
            $table->increments('area')->nullable();
            $table->integer('size_prefix')->nullable();
            $table->integer('land_area_size_prefix')->nullable();
            $table->enum('area_type', ['CEN','ACR','Sq ft'])->nullable();
            $table->string('owner_type', 255)->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('garages')->nullable();
            $table->float('garage_size')->nullable();
            $table->string('water_source', 255)->nullable();
            $table->string('furnishing', 255)->nullable();
            $table->integer('no_balcony')->nullable();
            $table->text('address')->nullable();
            $table->string('neighbourhood', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->string('locality', 255)->nullable();
            $table->text('features')->nullable();
            $table->tinyInteger('slider')->nullable();
            $table->tinyInteger('featured')->nullable();
            $table->integer('hotprop_order')->nullable();
            $table->tinyInteger('premium')->nullable();
            $table->enum('email_alert', ['Yes','No'])->nullable();
            $table->integer('photo_count')->nullable();
            $table->integer('validity')->nullable();
            $table->enum('visibility', ['prime','higher','good','standard'])->nullable();
            $table->enum('video_embed', ['Yes','No'])->nullable();
            $table->enum('payment_status', ['Paid','Unpaid'])->nullable();
            $table->string('latitude', 25)->nullable();
            $table->string('longitude', 25)->nullable();
            $table->longText('map_embed')->nullable();
            $table->integer('posting_type')->nullable();
            $table->integer('listing_plan')->nullable();
            $table->integer('plan_visibility')->nullable();
            $table->string('contact_mail', 100)->nullable();
            $table->integer('parking_no')->nullable();
            $table->string('website', 255)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('contact_name', 200)->nullable();
            $table->integer('region')->nullable();
            $table->integer('category_id1')->nullable();
            $table->string('prop_age', 10)->nullable();
            $table->string('prop_status', 10)->nullable();
            $table->string('overview', 300)->nullable();
            $table->text('video')->nullable();
            $table->char('video_status', 1)->nullable();
            $table->text('facilities')->nullable();
            $table->text('landmarks')->nullable();
            $table->string('sellunit', 20)->nullable();
            $table->char('price_negotiable', 1)->nullable();
            $table->char('admin_status', 1)->nullable();
            $table->char('paid_status', 1)->nullable();
            $table->char('direct_contact', 1)->nullable();
            $table->date('posted_date')->nullable();
            $table->date('expire_date')->nullable();
            $table->string('manage_type', 30)->nullable();
            $table->string('buildup_area', 20)->nullable();
            $table->string('buildup_unit', 20)->nullable();
            $table->string('plot_area', 20)->nullable();
            $table->string('plot_unit', 20)->nullable();
            $table->increments('land_area')->nullable();
            $table->string('land_unit', 20)->nullable();
            $table->string('meta_title', 255)->nullable();
            $table->string('meta_keyword', 255)->nullable();
            $table->text('meta_description')->nullable();
            $table->string('city1', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('properties');
    }
}
