Lavalite package that provides property management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `realestate/property`.

    "realestate/property": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Realestate\Property\Providers\PropertyServiceProvider::class,

And also add it to alias

    'Property'  => Realestate\Property\Facades\Property::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Realestate\\PropertyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Realestate\Property\Providers\PropertyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Realestate\Property\Providers\PropertyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Realestate\Property\Providers\PropertyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/property/{modulename}

**User**

    http://path-to-route-folder/user/property/{modulename}

**Public**

    http://path-to-route-folder/properties


### API endpoints

**List**

    http://path-to-route-folder/api/user/property/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/property/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/property/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/property/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/property/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/property/{modulename}/{slug}
    METHOD: GET