<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Property',
    'names'         => 'Properties',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Properties',
        'sub'   => 'Properties',
        'list'  => 'List of properties',
        'edit'  => 'Edit property',
        'create'    => 'Create new property'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Published','Pending','Draft'],
            'published'           => ['Yes','No'],
            'property_for'        => ['Rent','Sale','PG','Lease'],
            'label'               => ['Hot Deal','Open House'],
            'pay_frequency'       => ['Monthly','Yearly'],
            'area_type'           => ['CEN','ACR','Sq ft'],
            'email_alert'         => ['Yes','No'],
            'visibility'          => ['prime','higher','good','standard'],
            'video_embed'         => ['Yes','No'],
            'payment_status'      => ['Paid','Unpaid'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'country_id'                 => 'Please select country',
        'state_id'                   => 'Please select state ',
        'district_id'                => 'Please select district ',
        'city_id'                    => 'Please select city ',
        'location_id'                => 'Please select location ',
        'category_id'                => 'Please select category ',
        'sort_order'                 => 'Please enter sort order',
        'code'                       => 'Please enter code',
        'title'                      => 'Please enter title',
        'slug'                       => 'Please enter slug',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'published'                  => 'Please select published',
        'publish_status'             => 'Please enter publish status',
        'year'                       => 'Please select year',
        'property_for'               => 'Please select property for',
        'label'                      => 'Please select label',
        'price'                      => 'Please enter price',
        'plan_name'                  => 'Please enter plan name',
        'amount'                     => 'Please enter amount',
        'pay_frequency'              => 'Please select pay frequency',
        'images'                     => 'Please enter images',
        'upload_folder'              => 'Please enter upload folder',
        'area'                       => 'Please enter area',
        'size_prefix'                => 'Please enter size prefix',
        'land_area_size_prefix'        => 'Please enter land area size prefix',
        'area_type'                  => 'Please select area type',
        'owner_type'                 => 'Please enter owner type',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'garages'                    => 'Please enter garages',
        'garage_size'                => 'Please enter garage size',
        'water_source'               => 'Please enter water source',
        'furnishing'                 => 'Please enter furnishing',
        'no_balcony'                 => 'Please enter no balcony',
        'address'                    => 'Please enter address',
        'neighbourhood'              => 'Please enter neighbourhood',
        'zip_code'                   => 'Please enter zip code',
        'locality'                   => 'Please enter locality',
        'features'                   => 'Please enter features',
        'slider'                     => 'Please enter slider',
        'featured'                   => 'Please enter featured',
        'hotprop_order'              => 'Please enter hotprop order',
        'premium'                    => 'Please enter premium',
        'email_alert'                => 'Please select email alert',
        'photo_count'                => 'Please enter photo count',
        'validity'                   => 'Please enter validity',
        'visibility'                 => 'Please select visibility',
        'video_embed'                => 'Please select video embed',
        'payment_status'             => 'Please select payment status',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'map_embed'                  => 'Please enter map embed',
        'posting_type'               => 'Please enter posting type',
        'listing_plan'               => 'Please enter listing plan',
        'plan_visibility'            => 'Please enter plan visibility',
        'contact_mail'               => 'Please enter contact mail',
        'parking_no'                 => 'Please enter parking no',
        'website'                    => 'Please enter website',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'contact_name'               => 'Please enter contact name',
        'region'                     => 'Please enter region',
        'category_id1'               => 'Please enter category id1',
        'prop_age'                   => 'Please enter prop age',
        'prop_status'                => 'Please enter prop status',
        'overview'                   => 'Please enter overview',
        'video'                      => 'Please enter video',
        'video_status'               => 'Please enter video status',
        'facilities'                 => 'Please enter facilities',
        'landmarks'                  => 'Please enter landmarks',
        'sellunit'                   => 'Please enter sellunit',
        'price_negotiable'           => 'Please enter price negotiable',
        'admin_status'               => 'Please enter admin status',
        'paid_status'                => 'Please enter paid status',
        'direct_contact'             => 'Please enter direct contact',
        'posted_date'                => 'Please select posted date',
        'expire_date'                => 'Please select expire date',
        'manage_type'                => 'Please enter manage type',
        'buildup_area'               => 'Please enter buildup area',
        'buildup_unit'               => 'Please enter buildup unit',
        'plot_area'                  => 'Please enter plot area',
        'plot_unit'                  => 'Please enter plot unit',
        'land_area'                  => 'Please enter land area',
        'land_unit'                  => 'Please enter land unit',
        'meta_title'                 => 'Please enter meta title',
        'meta_keyword'               => 'Please enter meta keyword',
        'meta_description'           => 'Please enter meta description',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'city1'                      => 'Please enter city1',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'category_id'                => 'Category id',
        'sort_order'                 => 'Sort order',
        'code'                       => 'Code',
        'title'                      => 'Title',
        'slug'                       => 'Slug',
        'description'                => 'Description',
        'status'                     => 'Status',
        'published'                  => 'Published',
        'publish_status'             => 'Publish status',
        'year'                       => 'Year',
        'property_for'               => 'Property for',
        'label'                      => 'Label',
        'price'                      => 'Price',
        'plan_name'                  => 'Plan name',
        'amount'                     => 'Amount',
        'pay_frequency'              => 'Pay frequency',
        'images'                     => 'Images',
        'upload_folder'              => 'Upload folder',
        'area'                       => 'Area',
        'size_prefix'                => 'Size prefix',
        'land_area_size_prefix'        => 'Land area size prefix',
        'area_type'                  => 'Area type',
        'owner_type'                 => 'Owner type',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'garages'                    => 'Garages',
        'garage_size'                => 'Garage size',
        'water_source'               => 'Water source',
        'furnishing'                 => 'Furnishing',
        'no_balcony'                 => 'No balcony',
        'address'                    => 'Address',
        'neighbourhood'              => 'Neighbourhood',
        'zip_code'                   => 'Zip code',
        'locality'                   => 'Locality',
        'features'                   => 'Features',
        'slider'                     => 'Slider',
        'featured'                   => 'Featured',
        'hotprop_order'              => 'Hotprop order',
        'premium'                    => 'Premium',
        'email_alert'                => 'Email alert',
        'photo_count'                => 'Photo count',
        'validity'                   => 'Validity',
        'visibility'                 => 'Visibility',
        'video_embed'                => 'Video embed',
        'payment_status'             => 'Payment status',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'map_embed'                  => 'Map embed',
        'posting_type'               => 'Posting type',
        'listing_plan'               => 'Listing plan',
        'plan_visibility'            => 'Plan visibility',
        'contact_mail'               => 'Contact mail',
        'parking_no'                 => 'Parking no',
        'website'                    => 'Website',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'contact_name'               => 'Contact name',
        'region'                     => 'Region',
        'category_id1'               => 'Category id1',
        'prop_age'                   => 'Prop age',
        'prop_status'                => 'Prop status',
        'overview'                   => 'Overview',
        'video'                      => 'Video',
        'video_status'               => 'Video status',
        'facilities'                 => 'Facilities',
        'landmarks'                  => 'Landmarks',
        'sellunit'                   => 'Sellunit',
        'price_negotiable'           => 'Price negotiable',
        'admin_status'               => 'Admin status',
        'paid_status'                => 'Paid status',
        'direct_contact'             => 'Direct contact',
        'posted_date'                => 'Posted date',
        'expire_date'                => 'Expire date',
        'manage_type'                => 'Manage type',
        'buildup_area'               => 'Buildup area',
        'buildup_unit'               => 'Buildup unit',
        'plot_area'                  => 'Plot area',
        'plot_unit'                  => 'Plot unit',
        'land_area'                  => 'Land area',
        'land_unit'                  => 'Land unit',
        'meta_title'                 => 'Meta title',
        'meta_keyword'               => 'Meta keyword',
        'meta_description'           => 'Meta description',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'city1'                      => 'City1',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'country_id'                 => ['name' => 'Country id', 'data-column' => 1, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 2, 'checked'],
        'district_id'                => ['name' => 'District id', 'data-column' => 3, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 4, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 5, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 6, 'checked'],
        'sort_order'                 => ['name' => 'Sort order', 'data-column' => 7, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 8, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 9, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 10, 'checked'],
        'published'                  => ['name' => 'Published', 'data-column' => 11, 'checked'],
        'publish_status'             => ['name' => 'Publish status', 'data-column' => 12, 'checked'],
        'year'                       => ['name' => 'Year', 'data-column' => 13, 'checked'],
        'property_for'               => ['name' => 'Property for', 'data-column' => 14, 'checked'],
        'label'                      => ['name' => 'Label', 'data-column' => 15, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 16, 'checked'],
        'plan_name'                  => ['name' => 'Plan name', 'data-column' => 17, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 18, 'checked'],
        'pay_frequency'              => ['name' => 'Pay frequency', 'data-column' => 19, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 20, 'checked'],
        'area'                       => ['name' => 'Area', 'data-column' => 21, 'checked'],
        'size_prefix'                => ['name' => 'Size prefix', 'data-column' => 22, 'checked'],
        'land_area_size_prefix'        => ['name' => 'Land area size prefix', 'data-column' => 23, 'checked'],
        'area_type'                  => ['name' => 'Area type', 'data-column' => 24, 'checked'],
        'owner_type'                 => ['name' => 'Owner type', 'data-column' => 25, 'checked'],
        'bedrooms'                   => ['name' => 'Bedrooms', 'data-column' => 26, 'checked'],
        'bathrooms'                  => ['name' => 'Bathrooms', 'data-column' => 27, 'checked'],
        'garages'                    => ['name' => 'Garages', 'data-column' => 28, 'checked'],
        'garage_size'                => ['name' => 'Garage size', 'data-column' => 29, 'checked'],
        'water_source'               => ['name' => 'Water source', 'data-column' => 30, 'checked'],
        'furnishing'                 => ['name' => 'Furnishing', 'data-column' => 31, 'checked'],
        'no_balcony'                 => ['name' => 'No balcony', 'data-column' => 32, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 33, 'checked'],
        'neighbourhood'              => ['name' => 'Neighbourhood', 'data-column' => 34, 'checked'],
        'zip_code'                   => ['name' => 'Zip code', 'data-column' => 35, 'checked'],
        'locality'                   => ['name' => 'Locality', 'data-column' => 36, 'checked'],
        'features'                   => ['name' => 'Features', 'data-column' => 37, 'checked'],
        'slider'                     => ['name' => 'Slider', 'data-column' => 38, 'checked'],
        'featured'                   => ['name' => 'Featured', 'data-column' => 39, 'checked'],
        'hotprop_order'              => ['name' => 'Hotprop order', 'data-column' => 40, 'checked'],
        'premium'                    => ['name' => 'Premium', 'data-column' => 41, 'checked'],
        'email_alert'                => ['name' => 'Email alert', 'data-column' => 42, 'checked'],
        'photo_count'                => ['name' => 'Photo count', 'data-column' => 43, 'checked'],
        'validity'                   => ['name' => 'Validity', 'data-column' => 44, 'checked'],
        'visibility'                 => ['name' => 'Visibility', 'data-column' => 45, 'checked'],
        'video_embed'                => ['name' => 'Video embed', 'data-column' => 46, 'checked'],
        'payment_status'             => ['name' => 'Payment status', 'data-column' => 47, 'checked'],
        'latitude'                   => ['name' => 'Latitude', 'data-column' => 48, 'checked'],
        'longitude'                  => ['name' => 'Longitude', 'data-column' => 49, 'checked'],
        'posting_type'               => ['name' => 'Posting type', 'data-column' => 50, 'checked'],
        'listing_plan'               => ['name' => 'Listing plan', 'data-column' => 51, 'checked'],
        'plan_visibility'            => ['name' => 'Plan visibility', 'data-column' => 52, 'checked'],
        'contact_mail'               => ['name' => 'Contact mail', 'data-column' => 53, 'checked'],
        'parking_no'                 => ['name' => 'Parking no', 'data-column' => 54, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 55, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 56, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 57, 'checked'],
        'contact_name'               => ['name' => 'Contact name', 'data-column' => 58, 'checked'],
        'region'                     => ['name' => 'Region', 'data-column' => 59, 'checked'],
        'category_id1'               => ['name' => 'Category id1', 'data-column' => 60, 'checked'],
        'prop_age'                   => ['name' => 'Prop age', 'data-column' => 61, 'checked'],
        'prop_status'                => ['name' => 'Prop status', 'data-column' => 62, 'checked'],
        'overview'                   => ['name' => 'Overview', 'data-column' => 63, 'checked'],
        'video'                      => ['name' => 'Video', 'data-column' => 64, 'checked'],
        'video_status'               => ['name' => 'Video status', 'data-column' => 65, 'checked'],
        'facilities'                 => ['name' => 'Facilities', 'data-column' => 66, 'checked'],
        'landmarks'                  => ['name' => 'Landmarks', 'data-column' => 67, 'checked'],
        'sellunit'                   => ['name' => 'Sellunit', 'data-column' => 68, 'checked'],
        'price_negotiable'           => ['name' => 'Price negotiable', 'data-column' => 69, 'checked'],
        'admin_status'               => ['name' => 'Admin status', 'data-column' => 70, 'checked'],
        'paid_status'                => ['name' => 'Paid status', 'data-column' => 71, 'checked'],
        'direct_contact'             => ['name' => 'Direct contact', 'data-column' => 72, 'checked'],
        'posted_date'                => ['name' => 'Posted date', 'data-column' => 73, 'checked'],
        'expire_date'                => ['name' => 'Expire date', 'data-column' => 74, 'checked'],
        'manage_type'                => ['name' => 'Manage type', 'data-column' => 75, 'checked'],
        'buildup_area'               => ['name' => 'Buildup area', 'data-column' => 76, 'checked'],
        'buildup_unit'               => ['name' => 'Buildup unit', 'data-column' => 77, 'checked'],
        'plot_area'                  => ['name' => 'Plot area', 'data-column' => 78, 'checked'],
        'plot_unit'                  => ['name' => 'Plot unit', 'data-column' => 79, 'checked'],
        'land_area'                  => ['name' => 'Land area', 'data-column' => 80, 'checked'],
        'land_unit'                  => ['name' => 'Land unit', 'data-column' => 81, 'checked'],
        'meta_title'                 => ['name' => 'Meta title', 'data-column' => 82, 'checked'],
        'meta_keyword'               => ['name' => 'Meta keyword', 'data-column' => 83, 'checked'],
        'meta_description'           => ['name' => 'Meta description', 'data-column' => 84, 'checked'],
        'city1'                      => ['name' => 'City1', 'data-column' => 85, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Properties',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
