<?php

namespace Realestate\Property\Forms;

class Property
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'country_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.country_id'),
                    "placeholder" => trans('property::property.placeholder.country_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'state_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.state_id'),
                    "placeholder" => trans('property::property.placeholder.state_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'district_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.district_id'),
                    "placeholder" => trans('property::property.placeholder.district_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'city_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.city_id'),
                    "placeholder" => trans('property::property.placeholder.city_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'location_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.location_id'),
                    "placeholder" => trans('property::property.placeholder.location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.category_id'),
                    "placeholder" => trans('property::property.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sort_order' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.sort_order'),
                    "placeholder" => trans('property::property.placeholder.sort_order'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'code' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.code'),
                    "placeholder" => trans('property::property.placeholder.code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.title'),
                    "placeholder" => trans('property::property.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.description'),
                    "placeholder" => trans('property::property.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published' => [
                    "type" => 'select',
                    "label" => trans('property::property.label.published'),
                    "placeholder" => trans('property::property.placeholder.published'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'publish_status' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.publish_status'),
                    "placeholder" => trans('property::property.placeholder.publish_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'year' => [
                    "type" => 'select',
                    "label" => trans('property::property.label.year'),
                    "placeholder" => trans('property::property.placeholder.year'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_for' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.property_for'),
                    "placeholder" => trans('property::property.placeholder.property_for'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'label' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.label'),
                    "placeholder" => trans('property::property.placeholder.label'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.price'),
                    "placeholder" => trans('property::property.placeholder.price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plan_name' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.plan_name'),
                    "placeholder" => trans('property::property.placeholder.plan_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'amount' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.amount'),
                    "placeholder" => trans('property::property.placeholder.amount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'pay_frequency' => [
                    "type" => 'select',
                    "label" => trans('property::property.label.pay_frequency'),
                    "placeholder" => trans('property::property.placeholder.pay_frequency'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.images'),
                    "placeholder" => trans('property::property.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'area' => [
                    "type" => 'decimal',
                    "label" => trans('property::property.label.area'),
                    "placeholder" => trans('property::property.placeholder.area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'size_prefix' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.size_prefix'),
                    "placeholder" => trans('property::property.placeholder.size_prefix'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'land_area_size_prefix' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.land_area_size_prefix'),
                    "placeholder" => trans('property::property.placeholder.land_area_size_prefix'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'area_type' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.area_type'),
                    "placeholder" => trans('property::property.placeholder.area_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'owner_type' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.owner_type'),
                    "placeholder" => trans('property::property.placeholder.owner_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bedrooms' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.bedrooms'),
                    "placeholder" => trans('property::property.placeholder.bedrooms'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bathrooms' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.bathrooms'),
                    "placeholder" => trans('property::property.placeholder.bathrooms'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'garages' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.garages'),
                    "placeholder" => trans('property::property.placeholder.garages'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'garage_size' => [
                    "type" => 'decimal',
                    "label" => trans('property::property.label.garage_size'),
                    "placeholder" => trans('property::property.placeholder.garage_size'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'water_source' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.water_source'),
                    "placeholder" => trans('property::property.placeholder.water_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'furnishing' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.furnishing'),
                    "placeholder" => trans('property::property.placeholder.furnishing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'no_balcony' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.no_balcony'),
                    "placeholder" => trans('property::property.placeholder.no_balcony'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'address' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.address'),
                    "placeholder" => trans('property::property.placeholder.address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'neighbourhood' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.neighbourhood'),
                    "placeholder" => trans('property::property.placeholder.neighbourhood'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'zip_code' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.zip_code'),
                    "placeholder" => trans('property::property.placeholder.zip_code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'locality' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.locality'),
                    "placeholder" => trans('property::property.placeholder.locality'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'features' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.features'),
                    "placeholder" => trans('property::property.placeholder.features'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'slider' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.slider'),
                    "placeholder" => trans('property::property.placeholder.slider'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'featured' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.featured'),
                    "placeholder" => trans('property::property.placeholder.featured'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'hotprop_order' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.hotprop_order'),
                    "placeholder" => trans('property::property.placeholder.hotprop_order'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'premium' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.premium'),
                    "placeholder" => trans('property::property.placeholder.premium'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'email_alert' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.email_alert'),
                    "placeholder" => trans('property::property.placeholder.email_alert'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'photo_count' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.photo_count'),
                    "placeholder" => trans('property::property.placeholder.photo_count'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'validity' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.validity'),
                    "placeholder" => trans('property::property.placeholder.validity'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'visibility' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.visibility'),
                    "placeholder" => trans('property::property.placeholder.visibility'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'video_embed' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.video_embed'),
                    "placeholder" => trans('property::property.placeholder.video_embed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_status' => [
                    "type" => 'radios',
                    "label" => trans('property::property.label.payment_status'),
                    "placeholder" => trans('property::property.placeholder.payment_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'latitude' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.latitude'),
                    "placeholder" => trans('property::property.placeholder.latitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'longitude' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.longitude'),
                    "placeholder" => trans('property::property.placeholder.longitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'map_embed' => [
                    "type" => 'html_editor',
                    "label" => trans('property::property.label.map_embed'),
                    "placeholder" => trans('property::property.placeholder.map_embed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'posting_type' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.posting_type'),
                    "placeholder" => trans('property::property.placeholder.posting_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'listing_plan' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.listing_plan'),
                    "placeholder" => trans('property::property.placeholder.listing_plan'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plan_visibility' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.plan_visibility'),
                    "placeholder" => trans('property::property.placeholder.plan_visibility'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_mail' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.contact_mail'),
                    "placeholder" => trans('property::property.placeholder.contact_mail'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'parking_no' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.parking_no'),
                    "placeholder" => trans('property::property.placeholder.parking_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'website' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.website'),
                    "placeholder" => trans('property::property.placeholder.website'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'phone' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.phone'),
                    "placeholder" => trans('property::property.placeholder.phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mobile' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.mobile'),
                    "placeholder" => trans('property::property.placeholder.mobile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_name' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.contact_name'),
                    "placeholder" => trans('property::property.placeholder.contact_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'region' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.region'),
                    "placeholder" => trans('property::property.placeholder.region'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id1' => [
                    "type" => 'numeric',
                    "label" => trans('property::property.label.category_id1'),
                    "placeholder" => trans('property::property.placeholder.category_id1'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prop_age' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.prop_age'),
                    "placeholder" => trans('property::property.placeholder.prop_age'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prop_status' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.prop_status'),
                    "placeholder" => trans('property::property.placeholder.prop_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'overview' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.overview'),
                    "placeholder" => trans('property::property.placeholder.overview'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'video' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.video'),
                    "placeholder" => trans('property::property.placeholder.video'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'video_status' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.video_status'),
                    "placeholder" => trans('property::property.placeholder.video_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'facilities' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.facilities'),
                    "placeholder" => trans('property::property.placeholder.facilities'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'landmarks' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.landmarks'),
                    "placeholder" => trans('property::property.placeholder.landmarks'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sellunit' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.sellunit'),
                    "placeholder" => trans('property::property.placeholder.sellunit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_negotiable' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.price_negotiable'),
                    "placeholder" => trans('property::property.placeholder.price_negotiable'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'admin_status' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.admin_status'),
                    "placeholder" => trans('property::property.placeholder.admin_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'paid_status' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.paid_status'),
                    "placeholder" => trans('property::property.placeholder.paid_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'direct_contact' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.direct_contact'),
                    "placeholder" => trans('property::property.placeholder.direct_contact'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'posted_date' => [
                    "type" => 'date_picker',
                    "label" => trans('property::property.label.posted_date'),
                    "placeholder" => trans('property::property.placeholder.posted_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'expire_date' => [
                    "type" => 'date_picker',
                    "label" => trans('property::property.label.expire_date'),
                    "placeholder" => trans('property::property.placeholder.expire_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manage_type' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.manage_type'),
                    "placeholder" => trans('property::property.placeholder.manage_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'buildup_area' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.buildup_area'),
                    "placeholder" => trans('property::property.placeholder.buildup_area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'buildup_unit' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.buildup_unit'),
                    "placeholder" => trans('property::property.placeholder.buildup_unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plot_area' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.plot_area'),
                    "placeholder" => trans('property::property.placeholder.plot_area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plot_unit' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.plot_unit'),
                    "placeholder" => trans('property::property.placeholder.plot_unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'land_area' => [
                    "type" => 'decimal',
                    "label" => trans('property::property.label.land_area'),
                    "placeholder" => trans('property::property.placeholder.land_area'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'land_unit' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.land_unit'),
                    "placeholder" => trans('property::property.placeholder.land_unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_title' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.meta_title'),
                    "placeholder" => trans('property::property.placeholder.meta_title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_keyword' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.meta_keyword'),
                    "placeholder" => trans('property::property.placeholder.meta_keyword'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_description' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.meta_description'),
                    "placeholder" => trans('property::property.placeholder.meta_description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'city1' => [
                    "type" => 'text',
                    "label" => trans('property::property.label.city1'),
                    "placeholder" => trans('property::property.placeholder.city1'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
