<?php

namespace Realestate\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Property\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'user_id'           => $property->user_id,
            'user_type'         => $property->user_type,
            'country_id'        => $property->country_id,
            'state_id'          => $property->state_id,
            'district_id'       => $property->district_id,
            'city_id'           => $property->city_id,
            'location_id'       => $property->location_id,
            'category_id'       => $property->category_id,
            'sort_order'        => $property->sort_order,
            'code'              => $property->code,
            'title'             => $property->title,
            'slug'              => $property->slug,
            'description'       => $property->description,
            'published'         => $property->published,
            'publish_status'    => $property->publish_status,
            'year'              => $property->year,
            'property_for'      => $property->property_for,
            'label'             => $property->label,
            'price'             => $property->price,
            'plan_name'         => $property->plan_name,
            'amount'            => $property->amount,
            'pay_frequency'     => $property->pay_frequency,
            'images'            => $property->images,
            'upload_folder'     => $property->upload_folder,
            'area'              => $property->area,
            'size_prefix'       => $property->size_prefix,
            'land_area_size_prefix' => $property->land_area_size_prefix,
            'area_type'         => $property->area_type,
            'owner_type'        => $property->owner_type,
            'bedrooms'          => $property->bedrooms,
            'bathrooms'         => $property->bathrooms,
            'garages'           => $property->garages,
            'garage_size'       => $property->garage_size,
            'water_source'      => $property->water_source,
            'furnishing'        => $property->furnishing,
            'no_balcony'        => $property->no_balcony,
            'address'           => $property->address,
            'neighbourhood'     => $property->neighbourhood,
            'zip_code'          => $property->zip_code,
            'locality'          => $property->locality,
            'features'          => $property->features,
            'slider'            => $property->slider,
            'featured'          => $property->featured,
            'hotprop_order'     => $property->hotprop_order,
            'premium'           => $property->premium,
            'email_alert'       => $property->email_alert,
            'photo_count'       => $property->photo_count,
            'validity'          => $property->validity,
            'visibility'        => $property->visibility,
            'video_embed'       => $property->video_embed,
            'payment_status'    => $property->payment_status,
            'latitude'          => $property->latitude,
            'longitude'         => $property->longitude,
            'map_embed'         => $property->map_embed,
            'posting_type'      => $property->posting_type,
            'listing_plan'      => $property->listing_plan,
            'plan_visibility'   => $property->plan_visibility,
            'contact_mail'      => $property->contact_mail,
            'parking_no'        => $property->parking_no,
            'website'           => $property->website,
            'phone'             => $property->phone,
            'mobile'            => $property->mobile,
            'contact_name'      => $property->contact_name,
            'region'            => $property->region,
            'category_id1'      => $property->category_id1,
            'prop_age'          => $property->prop_age,
            'prop_status'       => $property->prop_status,
            'overview'          => $property->overview,
            'video'             => $property->video,
            'video_status'      => $property->video_status,
            'facilities'        => $property->facilities,
            'landmarks'         => $property->landmarks,
            'sellunit'          => $property->sellunit,
            'price_negotiable'  => $property->price_negotiable,
            'admin_status'      => $property->admin_status,
            'paid_status'       => $property->paid_status,
            'direct_contact'    => $property->direct_contact,
            'posted_date'       => $property->posted_date,
            'expire_date'       => $property->expire_date,
            'manage_type'       => $property->manage_type,
            'buildup_area'      => $property->buildup_area,
            'buildup_unit'      => $property->buildup_unit,
            'plot_area'         => $property->plot_area,
            'plot_unit'         => $property->plot_unit,
            'land_area'         => $property->land_area,
            'land_unit'         => $property->land_unit,
            'meta_title'        => $property->meta_title,
            'meta_keyword'      => $property->meta_keyword,
            'meta_description'  => $property->meta_description,
            'deleted_at'        => $property->deleted_at,
            'city1'             => $property->city1,
            'url'               => [
                'public'    => trans_url('property/'.$property->getPublicKey()),
                'user'      => guard_url('property/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}